package com.afp.ordermanagement.service;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.kafka.annotation.KafkaListener;
import org.springframework.stereotype.Service;

@Service
public class Consumer {

    private static final Logger logger = LoggerFactory.getLogger(Consumer.class);

    @KafkaListener(topics = "managers", groupId = "group_id")
    public void consumerManager(String message){
        logger.info(String.format("#### -> Consumed message -> %s", message));
    }
}
